Subject: bug#77840: [bug-diffutils] bug#77840: Testing diffutils 3.12 on PPC Mac OS X 10.4.11, Tiger, produces so many failures

From: Peter Dyballa <[email-masked]>
Date: Mon, 16 Jun 2025 22:52:10 +0200

> Am 16.06.2025 um 22:07 schrieb Paul Eggert <[email-masked]>:
> 
> How about diffutils 3.11 (the previous diffutils)?

I think it already had the same problem. That's why I deleted diffutils for some time. Could be the problem started with 3.10…

Anyway, I can go backwards version by version until I'll find the once working version. The test is sufficiently fast and easy. It could take some time to retrieve the changes to MacPorts' Portfiles to understand which patches were applied then.

I think tomorrow and the day after tomorrow I'll be busy with some other work…

You are writing that your suspect is the "colorizing code" – can you point me to a particular function? I thought it's rather unimportant – but when it's manipulating the contents of the output lines array some error might occur…

The assignment "char const *const *line = &curr.file[0].linbuf[i++];" with "const *const" is OK? On Mac OS X the assignment seems to fail because curr is not accessible by GDB, seeing only an "unknown type".

--
Greeting

  Pete

               (This space left blank for technical reasons.)